aboutsummaryrefslogtreecommitdiffstats
path: root/fix_mo
diff options
context:
space:
mode:
authorGuillaume Rousse <guillomovitch@mandriva.org>2008-02-10 14:24:43 +0000
committerGuillaume Rousse <guillomovitch@mandriva.org>2008-02-10 14:24:43 +0000
commit7c291669bab5cf44b615a7073eb0752be7a44612 (patch)
tree7df29cadeddfb6419661e052ca933161d5e38c3a /fix_mo
parent0fd87f896eea780920497633ec02f2759e80ab89 (diff)
downloadspec-helper-7c291669bab5cf44b615a7073eb0752be7a44612.tar
spec-helper-7c291669bab5cf44b615a7073eb0752be7a44612.tar.gz
spec-helper-7c291669bab5cf44b615a7073eb0752be7a44612.tar.bz2
spec-helper-7c291669bab5cf44b615a7073eb0752be7a44612.tar.xz
spec-helper-7c291669bab5cf44b615a7073eb0752be7a44612.zip
name harmonization
Diffstat (limited to 'fix_mo')
-rwxr-xr-xfix_mo41
1 files changed, 41 insertions, 0 deletions
diff --git a/fix_mo b/fix_mo
new file mode 100755
index 0000000..0c11e3a
--- /dev/null
+++ b/fix_mo
@@ -0,0 +1,41 @@
+#!/bin/sh
+#---------------------------------------------------------------
+# Project : Mandrake Linux
+# Module : spec-helper
+# File : fix-mo
+# Version : $Id$
+# Author : Pablo Saratxaga
+# Created On : Fri Feb 14 08:27:47 2003
+# Purpose : Fix bad translations
+#---------------------------------------------------------------
+
+# HP people wants to have 'Gnome' in ascii;
+# so "±×³ð" is converted to 'GNOME'
+
+KO_MESSAGES=$RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES
+
+TMP=$KO_MESSAGES/tmpfile
+TMP2=$KO_MESSAGES/tmpfile2
+
+ret=0
+
+[ -f "$KO_MESSAGES/*.mo" ] || exit 0
+
+for i in $KO_MESSAGES/*.mo ; do
+ msgunfmt -o $TMP $i
+ if grep -qi '^"Content-Type: text/plain; charset=euc-kr.n"$' $TMP; then
+ sed 's:±×³ð:GNOME:g' < $TMP > $TMP2 && msgfmt -o $i $TMP2
+ ret=$?
+ elif grep -qi '^"Content-Type: text/plain; charset=utf-8.n"$' $TMP; then
+ sed 's:그놈:GNOME:g' < $TMP > $TMP2 && msgfmt -o $i $TMP2
+ ret=$?
+ else
+ echo "Unsupported encoding" 1>&2
+ fi
+done
+
+rm -f $TMP $TMP2
+
+exit $ret
+
+# fix-mo ends here